This patch fixes for bug in Cluster Segment Manager that caused a segfault in
evmsgui when modifying the properties of a CMS container when there is no
cluster membership available.

--- evms-2.3.3/plugins/csm/options.c	2004-03-10 15:37:08.000000000 -0600
+++ evms-2.3.3-fix/plugins/csm/options.c	2004-05-12 18:32:16.000000000 -0500
@@ -250,7 +250,7 @@
         // Node ID
         context->option_descriptors->option[CONTAINER_SETINFO_NODE_ID_INDEX].flags = EVMS_OPTION_FLAGS_INACTIVE ;
         context->option_descriptors->option[CONTAINER_SETINFO_NODE_ID_INDEX].constraint.list = NULL;
-        context->option_descriptors->option[CONTAINER_SETINFO_NODE_ID_INDEX].constraint_type = EVMS_Collection_List;
+        context->option_descriptors->option[CONTAINER_SETINFO_NODE_ID_INDEX].constraint_type = EVMS_Collection_None;
         context->option_descriptors->option[CONTAINER_SETINFO_NODE_ID_INDEX].help = NULL;
         SET_STRING( context->option_descriptors->option[CONTAINER_SETINFO_NODE_ID_INDEX].name,
                     CONTAINER_SETINFO_NODE_ID_STRING );
@@ -364,6 +364,7 @@
 			}
 
 			context->option_descriptors->option[CONTAINER_SETINFO_NODE_ID_INDEX].constraint.list = constraint_list;
+			context->option_descriptors->option[CONTAINER_SETINFO_NODE_ID_INDEX].constraint_type = EVMS_Collection_List;
 		}
 
 	}
